.main-wrapper {
    height: 51px;
    position: relative;
}

.navbar-collapse {
    display: block!important;
    overflow-y: hidden;
    margin-left: -112px;
}

.product-nam h6 {
    font-size: 20px;
    font-weight: 500;
}

#new-gwbar.nav-gwbar-scroll {
    display: flex;
    /* overflow-x: scroll; */
    -webkit-overflow-scrolling: touch;
    -ms-overflow-style: none;
}

#new-gwbar.nav-genz {
    /*height: 40px;*/
    padding: 0 0;
}

#new-gwbar {
    display: block;
    /*height: 42px;*/
    width: 100%;
    background: transparent;
    overflow: hidden;
    flex-wrap: nowrap;
    list-style-type: none;
}

.nav-searchbar-wrapper~#new-gwbar.nav-gwbar-single-row.nav-genz.nav-gwbar-scroll li a.nav-a {
    margin: 0 0 20px 15px;
    padding-right: 3px;
}

.nav-searchbar-wrapper~#new-gwbar.nav-gwbar-single-row.nav-genz li a.nav-a {
    margin: 0 10px 20px 15px;
}

.nav-searchbar-wrapper~#new-gwbar.nav-gwbar-single-row li a.nav-a {
    margin: 5px 10px 10px 14px;
}

#new-gwbar.nav-genz li a.nav-a {
    line-height: 15px;
    font-size: 14px;
    font-weight: 400;
    margin: 0;
    font-family: inherit;
}

.nav-searchbar-wrapper~#new-gwbar li a.nav-a {
    margin: 20px 10px 0 14px;
}

#new-gwbar.nav-gwbar-single-row li a.nav-a {
    margin-top: 6px;
    /*padding-left: 0;*/
}

#new-gwbar li a.nav-a {
    white-space: nowrap;
}

#new-gwbar li a.nav-a {
    position: relative;
    color: #fff;
    float: left;
    margin: 24px 10px 0 14px;
    font-size: 13px;
    font-weight: 700;
    font-family: inherit;
    text-decoration: none;
    white-space: nowrap;
}

#navbar1 * {
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
}

#new-gwbar {
    width: 100%;
    /*border: 1px dotted black;*/
    overflow-x: scroll;
    /* Add the ability to scroll */
}


/* Hide scrollbar for Chrome, Safari and Opera */

#new-gwbar::-webkit-scrollbar {
    display: none;
}

#nav-gwbar2 li a i {
    padding-right: 15px;
}


/* Hide scrollbar for IE, Edge and Firefox */

#new-gwbar {
    -ms-overflow-style: none;
    /* IE and Edge */
    scrollbar-width: none;
    /* Firefox */
}

#new-gwbar li a img {
    width: 175px;
}

#new-gwbar li a {
    font-weight: 600;
}

.fw-900 {
    font-weight: 900 !important;
}

.filtres {
    float: right;
}


/*--toggle with the help of css--*/

.clicker {
    display: inline-block;
    width: 100px;
    height: 50px;
    background-color: blue;
    color: #FFF;
}

.clicker.hidden {
    display: none;
}

.hiddendiv {
    height: 0px;
    background-color: green;
    overflow: hidden;
    transition: height 0.5s;
}

.hiddendiv.nr2 {
    background-color: red;
}

#showdiv1:target~div a[href="#showdiv1"],
#showdiv2:target~div a[href="#showdiv2"] {
    display: none;
}

#showdiv1:target~div a[href="#hidediv1"],
#showdiv2:target~div a[href="#hidediv2"] {
    display: inline-block;
}

#showdiv1:target~div .hiddendiv.nr1,
#showdiv2:target~div .hiddendiv.nr2 {
    height: 130px;
}


/*--End--*/

.modl-filtres {
    max-width: 100% !important;
    position: fixed !important;
    bottom: 0 !important;
    width: 100% !important;
    margin-bottom: 0 !important;
    margin: 0 !important;
}

.filtres-h {
    height: 350px;
    overflow: auto;
}

.stars span {
    padding-left: 4px;
    padding-top: 5px;
}

.con-dition {
    list-style-type: none;
    padding-left: 0;
}

.sub-menu-item ul {
    padding-left: 0;
}

.cat-gory {
    list-style-type: none;
    padding-left: 0;
}

.cat-gory li a {
    font-size: 14px;
}


/*-----------------------------------------------*/

.side-mod {
    position: sticky;
    top: 100px;
}

.pro-f-img img {
    height: 200px;
    object-fit: cover;
}

.product-detail1 p {
    -webkit-line-clamp: 2;
    max-height: 129.6px;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
}

.product-detail1 .offer-pn {
    padding: 0;
}

.ra-ting-spn span {
    font-size: 16px;
}

.single-product img {
    border-radius: 5px 5px 0 0;
}

.flex-container1 {
    display: flex;
    flex-direction: row !important;
    font-size: 30px;
    text-align: center;
    flex-wrap: wrap;
    gap: 1%;
    width: 100%;
}

ngb-rating {
    font-size: 18px;
    color: #31a64f;
    position: relative;
    z-index: -1;
    cursor: not-allowed !important;
}

ngb-rating:hover {
    cursor: not-allowed !important;
}

.pro-title {
    font-size: 15px;
    -webkit-line-clamp: 1;
    max-height: 129.6px;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
}

.flex-itm {
    /*padding-right: 10px; 
    flex:19%;
    margin: .2%;*/
    width: 19.2%;
    margin-bottom: 20px;
}

.flex-itm:last-child {
    padding-right: 0;
}

.flex-itm .part-2 {
    text-align: left;
}

@media(max-width:1245px) and (min-width:992px) {
    .flex-itm {
        /* padding-right: 10px; */
        /*flex:25%;*/
        width: 24%;
    }
    .flex-container1 {
        /* justify-content: flex-start !important; */
    }
}

@media(max-width:992px) and (min-width:767px) {
    .flex-itm {
        /*flex:33%;*/
        width: 24.2%;
    }
}

@media(min-width:400px) and (max-width:767px) {
    .flex-itm {
        /*padding: 10px; 
       flex:49%;*/
        width: 49.2%;
    }
}

@media(max-width:400px) {
    .flex-itm {
        /*flex:49%;*/
        width: 49.2%;
    }
}

@media (max-width: 400px) {
    .flex-container1 {
        flex-direction: column;
        justify-content: space-between;
        ;
    }
}

.form-check-label {
    margin-left: 0 !important;
}

.form-chk {
    margin-top: 3px !important
}

li {
    list-style-type: none;
}

ul.breadcrumb {
    padding: 10px 16px;
    list-style: none;
    border: none !important;
}

ul.breadcrumb li {
    display: inline;
    font-size: 13px;
}

ul.breadcrumb li+li:before {
    padding: 8px;
    color: black;
    content: "/\00a0";
    font-size: 13px;
}

.li_a {
    color: #31a64f !important;
    text-decoration: none;
    text-transform: capitalize;
}

ul.breadcrumb li a:hover {
    color: #01447e;
    text-decoration: underline;
}


/* ---Quick View---- */

.carousel .carousel-indicators li {
    display: inline-block;
    width: 10px;
    height: 10px;
    text-indent: -99px;
    cursor: pointer;
    border: 1px solid #fff;
    background: #fff;
    border-radius: 2px
}

.product-wrapper,
.product-img {
    overflow: hidden;
    position: relative
}

.product-img a img {
    width: 100%;
    height: 250px;
    object-fit: contain;
    padding: 20px;
}

.mb-45 {
    margin-bottom: 45px
}

.product-action {
    bottom: 0px;
    left: 0;
    opacity: 0;
    position: absolute;
    right: 0;
    text-align: center;
    transition: all 0.6s ease 0s
}

.product-action-style {
    /*background-color: #fff;
    box-shadow: 0 0 8px 1.7px rgba(0, 0, 0, 0.06);
    display: inline-block;
    padding: 16px 2px 12px;
    border-radius:5px;*/
}

.product-action-style>a {
    line-height: 1;
    padding: 0 21px;
    position: relative;
    display: block;
    font-size: 16px;
    background: #fff;
    padding: 15px;
    width: fit-content;
    margin: auto;
    box-shadow: 0 2px 10px -5px;
    border-radius: 7px;
}

.product-action-style>a.action-plus {
    font-size: 18px
}

.product-wrapper:hover .product-action {
    bottom: 40%;
    opacity: 1
}

.section-products .single-product {
    margin-bottom: 0 !important;
}

.m-f {
    width: 50%;
}

.m-f .carousel-indicators {
    padding: 0 !important;
    justify-content: center;
    width: 50%;
    margin: 24px auto;
    position: inherit;
}

.carousel-item img {
    width: 50%;
    margin: auto;
    height: 340px;
    width: 100%;
    object-fit: cover;
}

.btn-theme-fill {
    margin-top: 10px;
}

.hedr-clos {
    background: #31a64f !important;
    width: 35px;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
    float: right;
    color: #fff;
    position: absolute;
    right: 26px;
    top: 25px;
    border-radius: 0 4px 0 0;
    z-index: 2;
}

@media(max-width:576px) {
    #new-gwbar li a img {
        width: 105px;
    }
    .con-tc {
        padding: 0;
    }
    .p-head {
        padding: 9px !important;
        font-size: 12px !important;
    }
}

.carousel-indicators {
    margin-bottom: 0;
    padding-bottom: 0 !important;
}

.carousel-indicators button {
    height: auto !important;
}

.carousel-indicators img {
    height: 60px;
    object-fit: contain;
}


/* -------End Quick view----- */

.lhn {
    line-height: normal;
}

.f-s-20 {
    font-size: 18px !important;
    font-weight: 500 !important;
}


/* 
.classForPriceRadio_1{
    background-color: #31a64f;
}

.classForPriceRadio_2{
    background-color: #31a64f;
} */

.classForPriceRadio_1 {
    box-shadow: none !important;
    background-color: #31a64f !important;
    border: none !important;
    box-shadow: none !important;
    border-color: #31a64f !important;
    color: #31a64f !important;
    background-image: none !important;
}


/* 
--bs-form-check-bg-image: url(data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='2' fill='%23fff'/%3e%3c/svg%3e);  */

.classForPriceRadio_1:checked[type=radio] {
    --bs-form-check-bg-image: none !important;
}

.classForPriceRadio_1:focus[type=radio] {
    box-shadow: none !important;
    background-color: #31a64f !important;
    border-color: #31a64f !important;
    color: #31a64f !important;
    background-image: none !important;
}

.classForPriceRadio_1:focus {
    box-shadow: none !important;
    background-color: #31a64f !important;
    border-color: #31a64f !important;
    color: #31a64f !important;
    background-image: none !important;
}

.pagination {
    font-size: initial;
}

.pagination>.active>a,
.pagination>.active>a:focus,
.pagination>.active>a:hover,
.pagination>.active>span,
.pagination>.active>span:focus,
.pagination>.active>span:hover {
    z-index: 3;
    color: #fff;
    cursor: default;
    background-color: #31a64f !important;
    border-color: #31a64f !important;
}

.flex-pr {
    display: flex;
    justify-content: space-between;
    align-items: center !important;
    font-size: 16px !important;
    height: 30px !important;
}

@media(max-width:767px) {
    .flex-pr {
        font-size: 14px !important;
    }
}


.btn-green {
    background: #31a64f !important;
    border-color: #31a64f !important;
    width: 48% !important;
    color: #fff !important;
    margin-bottom: 10px;
    border-radius: 4px !important;
    padding: 10px !important;
    font-size: 16px !important;
    margin-left: 4px;
}
.btn-green_2 {
    background: #31a64f !important;
    border-color: #31a64f !important;
    width: 50% !important;
    color: #fff !important;
    margin-bottom: 10px;
    border-radius: 4px !important;
    padding: 10px !important;
    font-size: 16px !important; 
}